[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TCustomIdleTimer.Create

Constructor for the class instance.

## Declaration

Source position: extctrls.pp line 240

`public constructor TCustomIdleTimer.Create(`
`TheOwner: TComponent`
`); override;`

## Arguments

`TheOwner` |  | Owner of the class instance.

## Description

Create is the overridden constructor for the class instance. Create calls the inherited constructor using TheOwner as the owner of the class instance. Create sets the default values for the following properties:

AutoEnabled
  Set to False
AutoStartEvent
  Set to itaOnIdle
AutoEndEvent
  Set to itaOnUserInput

## See also

TCustomTimer.Create |  | Create - constructor for TCustomTimer: calls inherited Create, sets up handle and initializes timer interval.